using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.BI
{
    [Description("消息中间表")]
    public class T_BI_NOTIFICATION_TASK_NEW : MesEntityBase
    {
        [Description("消息编号")]
        [DataFieldLength(20)]  //文本长度
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public String CODE { get; set; }
        [Description("消息类型")]
        ///0消息 1待办
        [FormFieldEdit]
        [EnumName("FMNoticeTypeEnum")]
        public int NOTICE_TYPE { get; set; }
        [Description("消息标题")]
        [DataFieldLength(200)]  //文本长度
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public String NOTICE_TITLE { get; set; }
        [Description("消息状态")]
        ///0未处理 1正常已办 2超期办理
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [EnumName("FMNoticeStatusEnum")]
        public int NOTICE_STATUS { get; set; }
        [Description("办结时间")]
        [FormFieldTable]
        [FormFieldEdit]
        public DateTime TASK_DT { get; set; }
        [Description("接收人编号")]
        ///登录人帐号
        [FormFieldEdit]
        public Guid USER_ID { get; set; }
        [Description("接收人姓名")]
        [DataFieldLength(30)]  //文本长度
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public String USER_NAME { get; set; }
        [Description("来源表单编号")]
        [DataFieldLength(20)]  //文本长度
        [FormFieldTable]
        [FormFieldEdit]
        public String SOURCE_FORMCODE { get; set; }
        [Description("来源数据ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldIndex]
        public Guid? SOURCE_DATA_ID { get; set; }
        [Description("任务开始时间")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public DateTime TASK_STARTDT { get; set; }
        [Description("任务结束时间")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public DateTime TASK_ENDDT { get; set; }
        [Description("单据类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("FMFormTypeEnum")]
        public int FORM_TYPE { get; set; }

        [Description("源表ID")]
        public Guid? TASK_ID { get; set; }

        [Description("模块名称")]
        public string MOUDLE_NAME { get; set; }
        /// <summary>
        /// 是否取消
        /// </summary>
        [Description("是否取消")]
        public bool ISCANCEL { get; set; }

        [Description("表名")]
        public string TABLE_NAME { get; set; }
        /// <summary>
        /// 发送短信时间
        /// </summary>
        [Description("发送短信时间")]
        public DateTime SENDTIME { get; set; }

        [Description("是否超时")]
        [DataFieldIngore]
        public string OVER_TIME { get; set; }
        [Description("部门级ID")]
        public Guid? DEPT_DEPARTMENT_ID { get; set; }
        [Description("车间级ID")]
        public Guid? SHOP_DEPARTMENT_ID { get; set; }
        [Description("班组级ID")]
        public Guid? CLASS_DEPARTMENT_ID { get; set; }

        [Description("创建时间")]
        public DateTime? CREATE_DATE { get; set; }
        [Description("部门ID")]
        [DataFieldIngore]
        public Guid? DEPARTMENT_ID { get; set; }
        [Description("部门名称")]
        [DataFieldIngore]
        public string DEPARTMENT_NAME { get; set; }
    }
}
